Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226356 - Merge Review: rcs
Summary: Merge Review: rcs
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:48 UTC by Nobody's working on this, feel free to take it
Modified: 2010-01-11 22:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-11 22:35:05 UTC
ville.skytta: fedora-review+


Attachments (Terms of Use)
Fix for items 1-3 (deleted)
2008-10-28 21:55 UTC, Ville Skyttä
no flags Details | Diff
Fix remaining issues (deleted)
2009-06-22 21:46 UTC, Ville Skyttä
no flags Details | Diff
Updated DESTDIR patch (deleted)
2009-06-22 21:47 UTC, Ville Skyttä
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 20:48:15 UTC
Fedora Merge Review: rcs

http://cvs.fedora.redhat.com/viewcvs/devel/rcs/
Initial Owner: pknirsch@redhat.com

Comment 1 Ville Skyttä 2008-10-28 21:54:13 UTC
1) COPYING is not included.

2) automake does not appear to be required, autoconf is enough.

3) Shipping some docs as PDF would be more useful than troff sources.

4) I don't quite understand the idea behind the "stupidrcs" patch, it appears to be using hardwired values for things I suppose ./configure should be detecting.  Could you explain it?

Will attach fix for items 1-3.

Comment 2 Ville Skyttä 2008-10-28 21:55:06 UTC
Created attachment 321729 [details]
Fix for items 1-3

Comment 3 Jiri Moskovcak 2008-10-29 14:42:06 UTC
Thanks for the patch. I really don't know now why we need the "stupidrcs" patch I would have to look into the autoconf/configure magic - but it seems it doesn't compile without it...

Updated srpm and spec file:

SRPM: http://people.fedoraproject.org/~jmoskovc/rcs-5.7-34.fc10.src.rpm
SPEC: http://people.fedoraproject.org/~jmoskovc/rcs.spec

Comment 4 Ville Skyttä 2008-11-20 21:36:50 UTC
I'm not quite comfortable with approving this package without at least an explanation why the patch exists apart from that it makes the package compile; it looks and feels "wrong" to me.  Please do look into it and report when you find the time and I'll have another look.  No rush.

Comment 5 Ville Skyttä 2009-06-22 21:46:49 UTC
Created attachment 349004 [details]
Fix remaining issues

Here's a patch for the remaining issues and a few other improvements.  Let me know if you'd like me to apply and build this for devel.

Patch0 should be downloaded from the URL in the patched specfile, and rcs-5.7-stupidrcs.patch can now be removed also from CVS.  Updated DESTDIR patch follows in a jiffy.

Comment 6 Ville Skyttä 2009-06-22 21:47:34 UTC
Created attachment 349005 [details]
Updated DESTDIR patch

Comment 7 Jiri Moskovcak 2010-01-11 11:09:43 UTC
I finally got to this, applied all of your proposed changes and it's built as rcs-5.7-36 in rawhide.

Thank you,
Jirka

Comment 8 Ville Skyttä 2010-01-11 22:35:05 UTC
Approved.

I'd personally use a full URL to the Debian originated build tweaks patch as in comment 5's attachment for easier "upstream" tracking, but that's nowhere near a blocker and can be done later if you agree.


Note You need to log in before you can comment on or make changes to this bug.